summaryrefslogtreecommitdiffstats
path: root/screen-locker.sh
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2013-05-23 00:03:15 +0200
committerFlorian Pritz <bluewind@xinu.at>2013-05-23 00:03:15 +0200
commite5a3849f2cbfce10b04be567f112b328bed638dc (patch)
tree16ed200af05e2786a76152f09915a09d330b833e /screen-locker.sh
parent960a895cb9286bf225fa66fa41c79bef0acb350e (diff)
downloadbin-e5a3849f2cbfce10b04be567f112b328bed638dc.tar.gz
bin-e5a3849f2cbfce10b04be567f112b328bed638dc.tar.xz
screen-locker.sh: simplify; use i3lock
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'screen-locker.sh')
-rwxr-xr-xscreen-locker.sh29
1 files changed, 2 insertions, 27 deletions
diff --git a/screen-locker.sh b/screen-locker.sh
index a27557f..6412374 100755
--- a/screen-locker.sh
+++ b/screen-locker.sh
@@ -1,29 +1,4 @@
#!/bin/sh
-#----------------------------------------------------
-# Author: Florian "Bluewind" Pritz <flo@xssn.at>
-#
-# Licensed under WTFPL v2
-# (see COPYING for full license text)
-#
-#----------------------------------------------------
-# managing script for locking the screen
-#----------------------------------------------------
-lock () {
-# gajim-remote change_status away &
-# echo "command /away afk" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
- xset dpms 2 2 2
-# i3lock -n -t -i ~flo/backgrounds/lockscreen.png
- slock
-}
-
-unlock () {
- xset dpms 0 0 0
-# gajim-remote change_status online &
-# echo "command /away" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
-}
-
-#if pidof i3lock &> /dev/null; then exit 1; fi
-if pgrep slock &> /dev/null; then exit 1; fi
-
-(lock && unlock) &
+if pidof i3lock &> /dev/null; then exit 1; fi
+exec i3lock -d -c 000000